summarylogtreecommitdiffstats
path: root/fcitx-qimpanel-autostart
diff options
context:
space:
mode:
authornanpuyue2018-10-31 14:49:18 +0800
committernanpuyue2018-10-31 14:49:18 +0800
commitcfa567aebfe9549e140714c1e120d9016eb974c2 (patch)
tree9ef6fc6a4b69ac3fb3ab0c324c1b0d87bc8b091d /fcitx-qimpanel-autostart
downloadaur-fcitx-qimpanel.tar.gz
fcitx-qimpanel 2.1.3
Diffstat (limited to 'fcitx-qimpanel-autostart')
-rw-r--r--fcitx-qimpanel-autostart15
1 files changed, 15 insertions, 0 deletions
diff --git a/fcitx-qimpanel-autostart b/fcitx-qimpanel-autostart
new file mode 100644
index 000000000000..4a1e81e27866
--- /dev/null
+++ b/fcitx-qimpanel-autostart
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# sleep for a little while to avoid duplicate startup
+sleep 3
+
+# Test whether fcitx is running correctly with dbus...
+fcitx-remote > /dev/null 2>&1
+
+if [ $? = "1" ]; then
+ echo "Fcitx seems is not running"
+ exit 0
+else
+ echo "Fcitx is running correctly."
+ exec fcitx-qimpanel
+fi